Subject: [PATCH V4 0/4] DRIVERS: IRQCHIP: Add support for crossbar IP

From: [email-masked] (Santosh Shilimkar)
Date: Thu, 14 Nov 2013 09:25:37 -0500

On Thursday 14 November 2013 07:18 AM, Sricharan R wrote:
> Some socs have a large number of interrupts requests to service
> the needs of its many peripherals and subsystems. All of the interrupt
> requests lines from the subsystems are not needed at the same
> time, so they have to be muxed to the controllers appropriately.
> In such places a interrupt controllers are preceded by an
> IRQ CROSSBAR that provides flexibility in muxing the device interrupt
> requests to the controller inputs.
> 
> This series models the peripheral interrupts that can be routed through
> the crossbar to the GIC as 'routable-irqs'. The routable irqs are added
> in a separate linear domain inside the GIC. The registered routable domain's
> callback are invoked as a part of the GIC's callback, which in turn should
> allocate a free irq line and configure the IP accordingly. So every peripheral
> in the dts files mentions the fixed crossbar number as its interrupt. A free
> gic line for that gets allocated and configured when the peripheral interrupts
> are mapped.
> 
> The minimal crossbar driver to track and allocate free GIC lines and configure the
> crossbar is added here, along with the DT bindings.
> 
> V4:
>    Addressed a couple of comments and split the DTS file updates in to
>    a separate series.
> 
Thanks for the split.
For entire series,
Acked-by: Santosh Shilimkar <[email-masked]>